import java.applet.*;
import java.awt.*;
import java.util.*;

// This is an abstract base class that be extended 
// for displaying cost drivers
public abstract class CostDriverPanel extends Panel
{
    public CostDriverPanel()
    {
        super();
    }

	public void paint(Graphics g)
	{
		// draw a rectangle around the panel
		Rectangle rect = bounds();
		g.drawRect(rect.x, rect.y, rect.x+rect.width-1,
				rect.y + rect.height-1);
	}

	// calculate the effort adjustment multiplier for
	// the cost drivers on this panel
	public abstract float getMultiplier();

	// set the default values for all cost drivers on this panel
	public abstract void SetDefaults();

	// return a String summarizing selections on this panel
	public abstract String GetSummary();

}




