import java.awt.*;
import java.util.*;
import ChoicePanel;

// This class is used to display summary information about the
// selections made for each cost driver.
class SummaryFrame extends Frame {
	private TextArea Summary;  // text area for displaying results

    public SummaryFrame(Vector CostDriverPanelVector) 
    {
		super("Attibute Summary");

		// create the TextArea for displaying the results
		Summary = new TextArea(10, 25);
		add("Center", Summary);

		// use an enumeration to move through each 
		// CostDriverPanel
        for (Enumeration enum = CostDriverPanelVector.elements(); 
				enum.hasMoreElements(); )
		{
			// for each CostDriverPanel, use the GetSummary method
			// to retrieve a Sttring summarizing the values on 
			// that panel
			CostDriverPanel p = (CostDriverPanel)enum.nextElement();
			Summary.appendText(p.GetSummary());
		}

		// create a panel and put a Close button on it at the 
		// bottom of the frame
        Panel p = new Panel();
        p.add(new Button("Close"));
        add("South", p);

        resize(250, 400);
    }

    public boolean action(Event evt, Object arg) 
    {
        boolean result = false;

		// if the Close button is pressed, dispose of the frame
        if("Close".equals(evt.arg)) {
            dispose();
            result = true;
        }
        return result;
    }     
}
